Workflow API
Create Workflow
Create a new workflow for a team.
POST
/
v2
/
workflows
Create Workflow
curl --request POST \
--url https://public.api.serval.com/v2/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"name": "<string>",
"content": "<string>",
"description": "<string>",
"requireFormConfirmation": true,
"isPublished": true,
"tagIds": [
"<string>"
],
"showInServiceCatalog": true,
"serviceCatalogDescription": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/workflows"
payload = {
"teamId": "<string>",
"name": "<string>",
"content": "<string>",
"description": "<string>",
"requireFormConfirmation": True,
"isPublished": True,
"tagIds": ["<string>"],
"showInServiceCatalog": True,
"serviceCatalogDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
name: '<string>',
content: '<string>',
description: '<string>',
requireFormConfirmation: true,
isPublished: true,
tagIds: ['<string>'],
showInServiceCatalog: true,
serviceCatalogDescription: '<string>'
})
};
fetch('https://public.api.serval.com/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"requireFormConfirmation": true,
"content": "<string>",
"isPublished": true,
"hasUnpublishedChanges": true,
"tagIds": [
"<string>"
],
"showInServiceCatalog": true,
"serviceCatalogDescription": "<string>",
"scopedId": "<string>",
"folderId": "<string>"
}
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The ID of the team.
The name of the workflow.
The content/code of the workflow.
A description of the workflow.
Whether the workflow requires form confirmation (optional).
Whether to publish the workflow after creation (optional).
The IDs of the tags to associate with the workflow.
Whether to list this workflow in the Service Catalog (optional). When omitted, the workflow is not listed.
Optional description shown at the top of the Service Catalog run form.
Response
Success
The created workflow.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Workflow

